package net.northking.cctp.scriptcase.tools.hapUtil.resources;

public enum KeyType {
    LANGUAGE(0),
    REGION(1),
    RESOLUTION(2),
    ORIENTATION(3),
    DEVICETYPE(4),
    SCRIPT(5),
    NIGHTMODE(6),
    MCC(7),
    MNC(8),
    RESERVER(9),
    INPUTDEVICE(10),
    KEY_TYPE_MAX(11),
    OTHER(-1),
    ;
    private final int value;

    KeyType(int v) {
        this.value = v;
    }

    public static KeyType valueOf(int v) {
        for (KeyType key : KeyType.values()) {
            if (key.value == v) {
                return key;
            }
        }
        return OTHER;
    }
}
